Data Dictionary - Get Excel Sheet with App Data

Retrieve detailed information including data types, references, labels, etc. on the hierarchical data included in apps specified in the call. This information is returned as an Excel (.xlsx) file.

Endpoint

GET /v1/domains/{domainKey}/projects/{projectId}/entityschema/get?appNames={appNames}&includeReferences={includeReferences}

Path Parameters

Parameter Type Description
domainKey string The domain key. Value can be found from within Kahua in Domain Settings -> Authentication
projectId integer Always use zero as the value since the data dictionary is domain-scoped

Query Parameters

Parameter Type Description
appNames integer Comma-separated list of app names for which data is requested.
includeReferences boolean Optional query parameter that takes value of true or false depending on whether a column for reference apps is desired in the returned Excel file. Default value is false.

Including app extension names in the call may cause errors. Only base app names should be passed to the appNames parameter in the URL. All fields from any installed extensions will be automatically included in the data dictionary for their respective base apps specified in the call.

Request Body

None

Response Body

Binary data of Excel (.xlsx) file with a Content-Type header of  application/vnd.openxmlformats-officedocument.spreadsheetml.sheet

Example

Errors